//Example based on
//http://blog.blprnt.com/blog/blprnt/quick-tutorial-twitter-processing
Twitter myTwitter;

void setup() {
  //CIID Test Account
  myTwitter = new Twitter("ciidtest", "buildtestrepeat");
  
  try { 
    Query query = new Query("#CIID");
    QueryResult result = myTwitter.search(query);    
    ArrayList<Tweet> tweets = (ArrayList<Tweet>) result.getTweets();    
    for(Tweet t : tweets) {
      String user = t.getFromUser();
      String msg = t.getText();
      Date d = t.getCreatedAt();
      println("Tweet by " + user + " " + d + " : " + msg); 
    }
  }
  catch (TwitterException te) {
    println("Couldn't connect: " + te);
  };  
}
 
void draw() {
}

