// Processing 1.1 using Twitter4j-2.1.2

Twitter myTwitter;

void setup() {
  myTwitter = new Twitter("ciidtest", "buildtestrepeat");
  try {
 
    Query query = new Query("sandwich");
    query.setRpp(100);
    QueryResult result = myTwitter.search(query);

    ArrayList tweets = (ArrayList) result.getTweets();

    for (int i = 0; i < tweets.size(); i++) {
      Tweet t = (Tweet) tweets.get(i);
      String user = t.getFromUser();
      String msg = t.getText();
      Date d = t.getCreatedAt();
      println("Tweet by " + user + " at " + d + ": " + msg);
    };

  }
  catch (TwitterException te) {
    println("Couldn't connect: " + te);
  };
};

void draw() {

};

